Wildcat 4.4 with HW2.81, Sys1.64, APP +A1 1.13, DFU 3.45C

--DSO203

Moderators: violet, jessie, jpa

Post Reply
te.mp
Pre-kindergarten
Pre-kindergarten
Posts: 10
Joined: Thu Nov 05, 2015 6:24 am

Wildcat 4.4 with HW2.81, Sys1.64, APP +A1 1.13, DFU 3.45C

Post by te.mp » Sun Nov 15, 2015 9:52 pm

Just received a new DSO203 with HW2.81, Sys1.64, APP +A1 1.13, DFU 3.45C and successfully installed Wildcat 4.4 (November 2015).

Here's how (for Newbies as me - this is a summary from this forum, since the main thread became kind of long):
1) Download Wildcat (see links below, recommendation from Wildcat's author is the standard version)
2) Unzip the file (and read User Guide)
2) Connect DSO203 with PC (USB cable as shipped with the DSO203)
3) Turn on DSO203 while pressing left button (labeled with ">II"), there will appear a 2MB DFU-drive in your windows file explorer
4) Copy file "app1.hex" onto DFU-drive
5) DSO203 will restart/reset and you will see a file "app1.rdy" on the DFU-drive
6) you are all set - read the User Guide again and enjoy Wildcat 4.4
7) think about calibrating at least the offset (see User Guide) and afterwards copying the *.WPT calibration files as config files (see User Guide) onto standard 8MB DSO203 drive (not DFU) to be able to store different configurations

Update Jan. 2016: When using Windows 10:
make sure to first start your DSO in DFU mode before connecting to your PC/laptop
http://www.seeedstudio.com/forum/viewto ... 550#p23181

Update June 2016: there are currently newer Wildcat versions - see further down in this thread

Wildcat 4.4 versions:

Standard Version (leaving slot 4 open)

WildcatV4.4
http://www.seeedstudio.com/forum/viewto ... 400#p21988
http://www.seeedstudio.com/forum/downlo ... hp?id=2164


Special Versions

Wildcat V4.4 reduced RAM, ROM
http://www.seeedstudio.com/forum/viewto ... 420#p22006
http://www.seeedstudio.com/forum/downlo ... hp?id=2162

Wildcat V4.4 reduced RAM, ROM update for HW2.81, Sys1.64, DFU3.45c
http://www.seeedstudio.com/forum/viewto ... 420#p22009
http://www.seeedstudio.com/forum/downlo ... hp?id=2163

Wildcat V3.4 using only 2 slots and latest V4.4 - both with boot config load disabled
http://www.seeedstudio.com/forum/viewto ... 450#p22067
http://www.seeedstudio.com/forum/downlo ... hp?id=2170

DSO Quad QuickStartGuide
http://www.seeedstudio.com/forum/viewto ... 460#p22080
https://hifiduino.wordpress.com/2011/04 ... art-guide/

Wildcat V4.4 HW2.81 occupying all slots
http://www.seeedstudio.com/forum/viewto ... 470#p22093
http://www.seeedstudio.com/forum/downlo ... hp?id=2171
Last edited by te.mp on Tue Jun 21, 2016 11:41 pm, edited 4 times in total.

Wildcat
Elementary-1
Elementary-1
Posts: 166
Joined: Fri Jun 22, 2012 1:29 pm
Are you a staff member of seeedstudio?: no
Which products/projects are your favorite?: DSO Quad

Re: Wildcat 4.4 with HW2.81, Sys1.64, APP +A1 1.13, DFU 3.45

Post by Wildcat » Mon Nov 16, 2015 5:00 pm

At this point, if loading onto HW 2.81 I would recommend downloading V4.5 which has recently been posted on the community thread. I just acquired a device with HW 2.81 for testing, this new version fixes a few problems using the previous versions with this latest hardware. See the changelog in the post for more info.

te.mp
Pre-kindergarten
Pre-kindergarten
Posts: 10
Joined: Thu Nov 05, 2015 6:24 am

Re: Wildcat 4.4 with HW2.81, Sys1.64, APP +A1 1.13, DFU 3.45

Post by te.mp » Wed Nov 18, 2015 6:25 am

Just updated successfully. Sorry for missing your update, I did not expect you to be that fast and only wanted to help others in return of the support I received. Wonderful job, the SW was already amazing and now even got better. Excellent job, Wildcat, and thank you very much again!
Last edited by te.mp on Tue Jun 21, 2016 11:37 pm, edited 4 times in total.


peekpt
Pre-kindergarten
Pre-kindergarten
Posts: 6
Joined: Sat Jul 18, 2015 12:15 am

Re: Wildcat 4.4 with HW2.81, Sys1.64, APP +A1 1.13, DFU 3.45

Post by peekpt » Sun Dec 20, 2015 5:27 am

I always have to capitalize the firmware file in order to work -> APP1.HEX (using linux)

On Linux

Code: Select all

sudo su - (better to use root)
mkdir -p /mnt/dso
mount /dev/sdb /mnt/dso  (my dso is on sdb)
cp APP1.HEX /mnt/dso/ (from your firmware dir)
ls /mnt/dso (repeat until file disappears from dso)
unmount /dev/dso
CTRL+D
Power cycle your dso

te.mp
Pre-kindergarten
Pre-kindergarten
Posts: 10
Joined: Thu Nov 05, 2015 6:24 am

Re: Wildcat 4.4 with HW2.81, Sys1.64, APP +A1 1.13, DFU 3.45

Post by te.mp » Sun Jan 24, 2016 8:25 pm

Wildcat 5.0 is available:
http://www.seeedstudio.com/forum/viewto ... 530#p22981
http://www.seeedstudio.com/forum/downlo ... hp?id=2294
Needs the first 3 slots, so any additional programs will need to be loaded in slot 4, but
it also uses memory in the second half of the ROM area (http://bz.seeedstudio.com/forum/viewtop ... 550#p23507).
Description how to install the 2 FPGA files (FPGA_281.ADR, 281_FPGA.BIN), before updating to WildcatV5.0 (app1.hex): http://bz.seeedstudio.com/forum/viewtop ... 560#p24024

COMPATIBILITY (http://bz.seeedstudio.com/forum/viewtop ... 540#p23115):
Hardware V2.6 and later (including the later 8Mb devices)
Sys V 1.51 and later
FPGA V2.61 and later
ALTERBIOS V 0.4 Should be installed on 2Mb devices to fix file corruption issues.
Note however that the revised FPGA is only for hardware V 2.81. Any functions that the new FPGA
provides will just not be available with earlier hardware, but the program will work properly otherwise.
Last edited by te.mp on Tue Jun 21, 2016 11:37 pm, edited 7 times in total.

te.mp
Pre-kindergarten
Pre-kindergarten
Posts: 10
Joined: Thu Nov 05, 2015 6:24 am

Re: Wildcat 4.4 with HW2.81, Sys1.64, APP +A1 1.13, DFU 3.45

Post by te.mp » Tue Jun 21, 2016 10:05 pm

And Wildcat is still getting better!

WildcatV5.1
http://bz.seeedstudio.com/forum/viewtop ... 560#p24025
http://bz.seeedstudio.com/forum/downloa ... hp?id=2339
(for hardware older or younger than V2.81)

WildcatV6.0 (For HARDWARE V2.81 ONLY)
http://bz.seeedstudio.com/forum/viewtop ... 630#p25062
http://bz.seeedstudio.com/forum/downloa ... hp?id=2488
Description how to install Wildcat 6.0 with Windows10 (same procedure as described in this thread) http://bz.seeedstudio.com/forum/viewtop ... 650#p25392

WildcatsV6.1/V5.2
http://bz.seeedstudio.com/forum/viewtop ... 660#p25458
WildcatV6.1 (Hardware V2.81 and up) http://bz.seeedstudio.com/forum/downloa ... hp?id=2584
wildcatV5.2 (older devices) http://bz.seeedstudio.com/forum/downloa ... hp?id=2583

WildcatV6.1/V5.2 stored to another site
http://bz.seeedstudio.com/forum/viewtop ... 660#p25487
http://www.files.com/shared/5743a34791b ... atV5.2.zip
http://www.files.com/shared/5743a348825 ... atV6.1.zip

W1.1 FPGA code in V6.1 (required, if not already installed from previous update, to use full speed oversampling mode)
http://www.files.com/shared/5743b0ac266 ... 20FPGA.zip
One user reports, that he first installed W1.1, then WildcatV6.1 and then had to install W1.1 again: http://bz.seeedstudio.com/forum/viewtop ... 670#p25501

Post Reply